Jump to content


Replying to Php Error When Activating Strip Plugin


Post Options

  or Cancel


Topic Summary

Elise Alley

Posted 27 January 2014 - 11:30 AM

Hi melimojo,

Did you contact your host as recommended as recommended by Ronald in the previous post?  Please do so and then let us know how it goes.

Thanks,

Elise

melimojo

Posted 26 January 2014 - 11:02 PM

melimojodesigns.com

This is the error I've received after installing stripe. Any assistance would be greatly appreciated. Also, I can't  access my wp-admin to even uninstall the plug-in. NEED HELP PLEASE!


Fatal Error
(remove)
The site encountered a problem that it cannot recover from. Please use the following information to try to resolve the problem.
Error Message

Fatal Error: Uncaught exception 'Exception' with message 'Stripe needs the Multibyte String PHP extension.' in /home/melimojo/public_html/wp-content/plugins/exchange-addon-stripe/lib/stripe-api/lib/Stripe.php:13
Stack trace:
#0 /home/melimojo/public_html/wp-content/plugins/exchange-addon-stripe/init.php(10): require_once()
#1 /home/melimojo/public_html/wp-content/plugins/ithemes-exchange/init.php(129): include('/home/melimojo/...')
#2 [internal function]: IT_Exchange->addons_init('')
#3 /home/melimojo/public_html/wp-includes/plugin.php(429): call_user_func_array(Array, Array)
#4 /home/melimojo/public_html/wp-content/plugins/exchange-addon-stripe/lib/updater/load.php(46): do_action('it_libraries_lo...')
#5 [internal function]: it_registration_list_init('')
#6 /home/melimojo/public_html/wp-includes/plugin.php(429): call_user_func_array('it_registration...', Array)
#7 /home/melimojo/public_html/wp-settings.php(331): do_action('after_setup_the...')
#8 /home/melimojo/wp-config.php(90): require_once('/home/melimojo/...')
#9 /ho in /home/melimojo/public_html/wp-content/plugins/exchange-addon-stripe/lib/stripe-api/lib/Stripe.php on line 13
Description

The iThemes Exchange - Stripe Add-on plugin code created an error that caused PHP execution to fail.
Solutions
  • Invalid code modifications can cause this problem. If you have made any modifications to the plugin, remove them and try to load the site again.
  • It is possible that this plugin's code is out of date and that an upgrade is available. Check with the plugin's author to see if an upgrade is available.
  • There may be a conflict with another plugin running on the site. Try upgrading the other plugins on the site. A plugin conflict can be ruled out by deactivating all the other active plugins on the site and checking to see if the error still occurs.
  • The iThemes Exchange - Stripe Add-on plugin may not have been fully uploaded. Uploading the plugin again could fix the issue. Important: If you do this, you will lose any modifications made to the plugin.
Error Source Details
Type Plugin Name iThemes Exchange - Stripe Add-on Version 1.1.13 Author iThemes Path /home/melimojo/public_html/wp-content/plugins/exchange-addon-stripe File lib/stripe-api/lib/Stripe.php
Other Software Details
WordPress Version 3.8.1 PHP Version 5.4.20
Full Error Details
Type Fatal Error (E_ERROR) Message Uncaught exception 'Exception' with message 'Stripe needs the Multibyte String PHP extension.' in /home/melimojo/public_html/wp-content/plugins/exchange-addon-stripe/lib/stripe-api/lib/Stripe.php:13 Stack trace: #0 /home/melimojo/public_html/wp-content/plugins/exchange-addon-stripe/init.php(10): require_once() #1 /home/melimojo/public_html/wp-content/plugins/ithemes-exchange/init.php(129): include('/home/melimojo/...') #2 [internal function]: IT_Exchange->addons_init('') #3 /home/melimojo/public_html/wp-includes/plugin.php(429): call_user_func_array(Array, Array) #4 /home/melimojo/public_html/wp-content/plugins/exchange-addon-stripe/lib/updater/load.php(46): do_action('it_libraries_lo...') #5 [internal function]: it_registration_list_init('') #6 /home/melimojo/public_html/wp-includes/plugin.php(429): call_user_func_array('it_registration...', Array) #7 /home/melimojo/public_html/wp-settings.php(331): do_action('after_setup_the...') #8 /home/melimojo/wp-config.php(90): require_once('/home/melimojo/...') #9 /ho File /home/melimojo/public_html/wp-content/plugins/exchange-addon-stripe/lib/stripe-api/lib/Stripe.php Line 13 Type Description This type of error indicates that PHP cannot continue to run the code. Typical causes of this type of error are code bugs that have typos, missing or incomplete files (such as a file that was only partially uploaded), and the code using more memory than it is allowed.

Note that this message is generated by iThemes.com products when an error is encountered on the site. While an iThemes product is

Ronald

Posted 20 January 2014 - 04:13 PM

Hi,

the error indicates that the MultiByte String extension is not installed in your servers PHP configuration. You should contact your hoster with a reference to the error message, they should be able to enable this for you,

Ronald

clangille

Posted 18 January 2014 - 07:20 AM

Hey guys this is still happening :cry:

Latest version of WP and the Stripe Addon, running Genesis as my theme

Screenshot attached for reference

www.barberlabs.com

Please advise

P.S. does this plugin require me to have a certain version of PHP on my server?

Gerroald

Posted 19 December 2013 - 10:51 AM

Hello Chris,

Could you try updating to the most current version of Stripe ( currently 1.1.11 ) and see if that helps? Also, are you able to update to the most current version of WordPress, currently 3.8? It's also worth double checking that all of your other plugins are up  to date just in case.

If these suggestions don't help could you try using a WordPress default theme like Twenty Thirteen?

Please let me know how it goes!

Thanks,

Gerroald

clangille

Posted 11 December 2013 - 01:26 PM

Sorry! Here it is (attached)

Elise Alley

Posted 11 December 2013 - 10:00 AM

Hey Chris,

The screenshot you provided earlier didn't actually show the error.  Can you reinstall the Stripe add-on and copy the error details and post them here for us?  That'd be very helpful.

Thanks,

Elise

clangille

Posted 10 December 2013 - 06:03 PM

My apologies, http://store.bsjphilly.com

I have since deleted the plugin though.

Yes, everything is up to date. Fresh install of WP, Builder, and Exchange w/Stripe. Just signed up for a membership a few hours ago

Any help would be fantastic, thanks :-)

Elise Alley

Posted 10 December 2013 - 04:51 PM

Hey Chris,

Can you please (always :)) provide us with a URL where we can take a look?

Did you make sure that all your Exchange products were up to date as I suggested to the original poster?  So insure Exchange and all Exchange add-ons are all up to date.  

Thanks,

Elise

clangille

Posted 10 December 2013 - 04:38 PM

Exact same problem here. Screenshot attached.

I'm using the most recent version of Builder, and the plugin. I've tired manually installing via FTP, and same error occurs.

Any help would be great

Review the complete topic (launches new window)